﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SpanningInRowAndColumnHeader
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //fpSpread1.ActiveSheet.RowHeader.Rows[fpSpread1.ActiveSheet.ActiveRowIndex].BackColor = Color.Yellow;
            //fpSpread1.ActiveSheet.ColumnHeader.Columns[fpSpread1.ActiveSheet.ActiveColumnIndex].BackColor = Color.Green; 
            MessageBox.Show(fpSpread1.ActiveSheet.ActiveCell.Row.Index + " , " + fpSpread1.ActiveSheet.ActiveCell.Column.Index);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Set the number of rows in the column header.
            fpSpread1.ActiveSheet.ColumnHeader.RowCount = 2;
            // Set the number of columns in the row header.
            fpSpread1.ActiveSheet.RowHeader.ColumnCount = 2;
            // Define the labels for the spanned column header cells.
            fpSpread1.ActiveSheet.ColumnHeader.Cells[0, 0].Text = "1st Quarter";
            fpSpread1.ActiveSheet.ColumnHeader.Cells[0, 2].Text = "2nd Quarter";
            fpSpread1.ActiveSheet.ColumnHeader.Cells[0, 4].Text = "3rd Quarter";
            fpSpread1.ActiveSheet.ColumnHeader.Cells[0, 6].Text = "4th Quarter";
            // Define the column header cell spans.
            fpSpread1.ActiveSheet.AddColumnHeaderSpanCell(0, 0, 2, 2);
            fpSpread1.ActiveSheet.AddColumnHeaderSpanCell(0, 2, 2, 2);
            fpSpread1.ActiveSheet.AddColumnHeaderSpanCell(0, 4, 2, 2);
            fpSpread1.ActiveSheet.AddColumnHeaderSpanCell(0, 6, 2, 2);
            // Define the label for the spanned row header cells.
            fpSpread1.ActiveSheet.RowHeader.Cells[0, 0].Text = "Branch #1";
            fpSpread1.ActiveSheet.RowHeader.Cells[2, 0].Text = "Branch #2";
            fpSpread1.ActiveSheet.RowHeader.Cells[4, 0].Text = "Branch #3";
            fpSpread1.ActiveSheet.RowHeader.Cells[6, 0].Text = "Branch #4";
            // Define the row header cell span.
            fpSpread1.ActiveSheet.AddRowHeaderSpanCell(0, 0, 2, 2);
            fpSpread1.ActiveSheet.AddRowHeaderSpanCell(2, 0, 2, 2);
            fpSpread1.ActiveSheet.AddRowHeaderSpanCell(4, 0, 2, 2);
            fpSpread1.ActiveSheet.AddRowHeaderSpanCell(6, 0, 2, 2);
        }
    }
}
